cascading.stats.tez.util

## Class TezTimelineClient

- java.lang.Object
- - org.apache.tez.dag.api.client.DAGClient
  - - org.apache.tez.dag.api.client.DAGClientTimelineImpl
    - - cascading.stats.tez.util.TezTimelineClient

All Implemented Interfaces:
  TimelineClient, java.io.Closeable, java.lang.AutoCloseable

    public class TezTimelineClient
    extends org.apache.tez.dag.api.client.DAGClientTimelineImpl
    implements TimelineClient

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.tez.dag.api.client.DAGClientTimelineImpl

`org.apache.tez.dag.api.client.DAGClientTimelineImpl.VertexTaskStats`

### Field Summary

### Fields inherited from class org.apache.tez.dag.api.client.DAGClientTimelineImpl

`baseUri`

### Constructor Summary

Constructors
Constructor and Description
`TezTimelineClient(ApplicationId appId, java.lang.String dagId, org.apache.tez.dag.api.TezConfiguration conf, org.apache.tez.client.FrameworkClient frameworkClient, org.apache.tez.dag.api.client.DAGClient dagClient)`

### Method Summary

Methods
`org.apache.tez.dag.api.client.DAGClient` `getDAGClient()`
`org.apache.tez.dag.api.client.DAGStatus` `getDAGStatus(java.util.Set<org.apache.tez.dag.api.client.StatusGetOpts> statusOptions)`
`org.apache.tez.client.FrameworkClient` `getFrameworkClient()`
`protected org.codehaus.jettison.json.JSONObject` `getJsonObject(org.codehaus.jettison.json.JSONArray entitiesNode, int index)`
`protected org.codehaus.jettison.json.JSONObject` `getRemoveJsonObject(org.codehaus.jettison.json.JSONArray entitiesNode, int index, boolean doRemove)`
`TaskStatus` `getVertexChild(java.lang.String taskID)`
`java.util.Iterator<TaskStatus>` `getVertexChildren(java.lang.String vertexID, int limit, java.lang.String startTaskID)`
`java.lang.String` `getVertexID(java.lang.String vertexName)`
`org.apache.tez.dag.api.client.VertexStatus` `getVertexStatus(java.lang.String vertexName, java.util.Set<org.apache.tez.dag.api.client.StatusGetOpts> statusOptions)`

### Methods inherited from class org.apache.tez.dag.api.client.DAGClientTimelineImpl

`close, getApplicationReportInternal, getCachedHttpClient, getDAGStatus, getExecutionContext, getJsonRootEntity, isSupported, parseTaskStatsForVertexes, tryKillDAG, waitForCompletion, waitForCompletionWithStatusUpdates`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TezTimelineClient

    public TezTimelineClient(ApplicationId appId,
                     java.lang.String dagId,
                     org.apache.tez.dag.api.TezConfiguration conf,
                     org.apache.tez.client.FrameworkClient frameworkClient,
                     org.apache.tez.dag.api.client.DAGClient dagClient)
                      throws org.apache.tez.dag.api.TezException

Throws:
  `org.apache.tez.dag.api.TezException`

### Method Detail

#### getDAGClient

    public org.apache.tez.dag.api.client.DAGClient getDAGClient()

#### getFrameworkClient

    public org.apache.tez.client.FrameworkClient getFrameworkClient()

#### getDAGStatus

    public org.apache.tez.dag.api.client.DAGStatus getDAGStatus(@Nullable
                                                       java.util.Set<org.apache.tez.dag.api.client.StatusGetOpts> statusOptions)
                                                         throws java.io.IOException,
                                                                org.apache.tez.dag.api.TezException

Overrides:
  `getDAGStatus` in class `org.apache.tez.dag.api.client.DAGClientTimelineImpl`
Throws:
  `java.io.IOException`
  `org.apache.tez.dag.api.TezException`

#### getVertexStatus

    public org.apache.tez.dag.api.client.VertexStatus getVertexStatus(java.lang.String vertexName,
                                                             java.util.Set<org.apache.tez.dag.api.client.StatusGetOpts> statusOptions)
                                                               throws java.io.IOException,
                                                                      org.apache.tez.dag.api.TezException

Overrides:
  `getVertexStatus` in class `org.apache.tez.dag.api.client.DAGClientTimelineImpl`
Throws:
  `java.io.IOException`
  `org.apache.tez.dag.api.TezException`

#### getVertexID

    public java.lang.String getVertexID(java.lang.String vertexName)
                                 throws java.io.IOException,
                                        org.apache.tez.dag.api.TezException

Specified by:
  `getVertexID` in interface `TimelineClient`
Throws:
  `java.io.IOException`
  `org.apache.tez.dag.api.TezException`

#### getVertexChildren

    public java.util.Iterator<TaskStatus> getVertexChildren(java.lang.String vertexID,
                                                   int limit,
                                                   java.lang.String startTaskID)
                                                     throws java.io.IOException,
                                                            org.apache.tez.dag.api.TezException

Specified by:
  `getVertexChildren` in interface `TimelineClient`
Throws:
  `java.io.IOException`
  `org.apache.tez.dag.api.TezException`

#### getVertexChild

    public TaskStatus getVertexChild(java.lang.String taskID)
                              throws org.apache.tez.dag.api.TezException

Specified by:
  `getVertexChild` in interface `TimelineClient`
Throws:
  `org.apache.tez.dag.api.TezException`

#### getRemoveJsonObject

    protected org.codehaus.jettison.json.JSONObject getRemoveJsonObject(org.codehaus.jettison.json.JSONArray entitiesNode,
                                                            int index,
                                                            boolean doRemove)

#### getJsonObject

    protected org.codehaus.jettison.json.JSONObject getJsonObject(org.codehaus.jettison.json.JSONArray entitiesNode,
                                                      int index)